Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
SOAPAuthenticateInfo Class Reference
Inheritance diagram for SOAPAuthenticateInfo:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (username, password, is_use_platform_auth)
| Constructor, with parameters. More...
| Set (username, password, is_use_platform_auth)
| Set values. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| is_use_platform_auth
| A Boolean value indicating that platform authentication should be used. More...
| password
| A string containing the password to use for authentication.
| username
| A string containing the user name to use for authentication.

## Detailed Description

This class represents SOAP authenticate.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

SOAPAuthenticateInfo.constructor | ( | username | ,
|  | password | ,
|  | is_use_platform_auth |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | username | A string containing the user name to use for authentication.
  [in] | password | A string containing the password to use for authentication.
  [in] | is_use_platform_auth | A Boolean value indicating that platform authentication should be used.

## ◆ Set()

SOAPAuthenticateInfo.Set | ( | username | ,
|  | password | ,
|  | is_use_platform_auth |
| ) |  |

Set values.

Parameters

  [in] | username | A string containing the user name to use for authentication.
  [in] | password | A string containing the password to use for authentication.
  [in] | is_use_platform_auth | A Boolean value indicating that platform authentication should be used.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ is_use_platform_auth

SOAPAuthenticateInfo.is_use_platform_auth

A Boolean value indicating that platform authentication should be used.

If true, username and password are ignored and the underlying platform networking code is used.This may cause an authentication UI to be shown to the user and/or the credentials of the currently logged in user to be used. The default is false and is only supported on the Windows platform.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.